Skip to content
GET/api/{version}/objects/documents/{doc_id}/attachments/{attachment_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{attachment_id}The attachment id field value.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.2/objects/documents/565/attachments/566
{ "responseStatus": "SUCCESS", "data": [ { "id": 566, "filename__v": "Site Area Map.png", "format__v": "image/png", "size__v": 109828, "md5checksum__v": "78b36d9602530e12051429e62558d581", "version__v": 2, "created_by__v": 46916, "created_date__v": "2015-01-14T00:35:01.775Z", "versions": [ { "version__v": 1, "url": "https://myvault.veevavault.com/api/v17.2/objects/documents/565/attachments/566/versions/1" }, { "version__v": 2, "url": "https://myvault.veevavault.com/api/v17.2/objects/documents/565/attachments/566/versions/2" } ] } ] }

The md5checksum__v field is calculated on the latest version of the attachment. If an attachment is added which has the same MD5 checksum value as an existing attachment on a given document, the new attachment is not added.

Vault Document Attachments include the following fields (metadata):